<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Technique.html">Technique</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Technique Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#abec5e34e76944eb89ac0c6d370e3b1d5">_compile</a>(bool autoManageTextureUnits)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a8143f16e1759f3b5731389d59a66f309">_compileIlluminationPasses</a>(void)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#abab9570d1a0eb73194afa59c8e20de19">_getSchemeIndex</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a92b98b4f291fa76b02d2adeb822998af">_load</a>(void)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#aa5ad18f720bba21676f3424ed7b2382d">_notifyNeedsRecompile</a>(void)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a5833abf80056c4a18b6eafb137b590bb">_prepare</a>(void)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a73c19a7dd382f37226f307c3afc98794">_unload</a>(void)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ad78f99fe8c81b1dffaf2d9bfc3cfabb4">_unprepare</a>(void)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ab6be978dbdbe321f7e8e9803aa29c2d1">addGPUDeviceNameRule</a>(const String &amp;devicePattern, IncludeOrExclude includeOrExclude, bool caseSensitive=false)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ad0b1efd013753818ae29fd15a27c9744">addGPUDeviceNameRule</a>(const GPUDeviceNameRule &amp;rule)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#afe3b09baa8cd8566f994ad4ee5d125d1">addGPUVendorRule</a>(GPUVendor vendor, IncludeOrExclude includeOrExclude)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ac6a82a8dedd6ecc9228e392aec08bd52">addGPUVendorRule</a>(const GPUVendorRule &amp;rule)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ad2358b1ad69456e1ad0b73dff5522c95">applyTextureAliases</a>(const AliasTextureNamePairList &amp;aliasList, const bool apply=true) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#aa99b43fb531b833bc7e7ce939af2d069">checkGPURules</a>(StringUtil::StrStreamType &amp;errors)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a55699308ac7d558e4715356270204078">checkHardwareSupport</a>(bool autoManageTextureUnits, StringUtil::StrStreamType &amp;compileErrors)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a98175339d8f896cd76055316b03a6937">checkManuallyOrganisedIlluminationPasses</a>()</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a2aab03fdccbf1973eb19ceecd264af30">clearIlluminationPasses</a>(void)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a51466b61bfe2dbcdb1afbf21b1dd3253">createPass</a>(void)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a1ade219e17b5e8d73d079d11f64a2a2da043f697946b7a6d01bb858768e6646a3">EXCLUDE</a> enum value</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#addfd85590b126fb42c0cbffac10fff41">getGPUDeviceNameRuleIterator</a>() const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#abc1e584d7310c4d80cf09d6fa1dc0585">getGPUVendorRuleIterator</a>() const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#aa864634545c3b7d57888cb8118d4af0a">getIlluminationPassIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#af70e2e5fec4b833152ec435b4d105be7">getLodIndex</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#af577087e6a66bd0a29a58d042b3a6d16">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a7c787f22ac8d5efceebb65ae35ac6ef4">getNumPasses</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a603fb40984083fbdfa1bf570cc602563">getParent</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a3ce84da25bb6b5762af714adaf70874a">getPass</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a70cead1f1ccc258c493306fb4570b522">getPass</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a84f0ff4e856f6965c7ae8dcab67e6cf2">getPassIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#aad5c43b5aa506b6304204f3874a251df">getResourceGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a2b3e4ec269e9f88a5a53a301ddb601a4">getSchemeName</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a4186641fe103b4ffcee48c708d1e8f42">getShadowCasterMaterial</a>() const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ae40e12c1d7a1a3194bdf5ad68ba58fd0">getShadowReceiverMaterial</a>() const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a96db53bdf6b3f097fcb9a038df84abe9">getUserObjectBindings</a>()</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#aded444b9a20ee36d9a8a7a457d9b3e69">getUserObjectBindings</a>() const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a63da4eb10f7272486a9806374b09bab6">GPUDeviceNameRuleIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a98091dbc9cb06b40138458537c36e3ed">GPUDeviceNameRuleList</a> typedef</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a2497a0043902e9d2af0757d769da655c">GPUVendorRuleIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#aa110f5f6056965bfb02099099fb46958">GPUVendorRuleList</a> typedef</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a8a55bcf42608e33443dcfc03b9a47269">hasColourWriteDisabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a8dee9e7ef067309148721ed733264d23">IlluminationPassesState</a> enum name</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a77a239a5901d2c67add2e7cea0bf3468">IlluminationPassIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a1ade219e17b5e8d73d079d11f64a2a2dabd4cc2de655eff5194cda7ea50d00ee3">INCLUDE</a> enum value</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a1ade219e17b5e8d73d079d11f64a2a2d">IncludeOrExclude</a> enum name</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a8dee9e7ef067309148721ed733264d23a75b214ee6385d48d7ac8ffe63956ef9d">IPS_COMPILE_DISABLED</a> enum value</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a8dee9e7ef067309148721ed733264d23abbba3e91e244942ff28459e90885ede7">IPS_COMPILED</a> enum value</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a8dee9e7ef067309148721ed733264d23a6d7b35400e16649614a7b7d2ff935c93">IPS_NOT_COMPILED</a> enum value</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a483a1f2f5c7b197c2623850e4fdced1f">isDepthCheckEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#aa49639c4945e7d904bfcefe2d7ff3dd6">isDepthWriteEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#aac374abdbf430a519dafb578f36239ff">isLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a7f64b7cc4743ee7cc5d6782ba687d841">isSupported</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ad22ecac74653f9d1a4c955cf865f41d4">isTransparent</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a7411b79f49c7136a55bd17eef1cc53ce">isTransparentSortingEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a5ec64a0826b7dfac29aa945e6cebfcde">isTransparentSortingForced</a>(void) const </td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a75739b100b635fbfd9760265239c34f3">mGPUDeviceNameRules</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a874f049c7a6b21f3b91e12ca5860330e">mGPUVendorRules</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a6221e827be4159d329ae7909a542b10b">mIlluminationPasses</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a20375ceabd360a6b536a626da5033158">mIlluminationPassesCompilationPhase</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ab0140f0bcb0875742de251050440d546">mIsSupported</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a640ffe897c7889af3e6c6c9d322afcf7">mLodIndex</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a386fbbee39283e296f9fb8bb3f4383f6">mName</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a6fe998209ba33ea38fdcef68743d678c">movePass</a>(const unsigned short sourceIndex, const unsigned short destinationIndex)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a19396048e38ac2ee8c49a1beeec22a1a">mParent</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a45f4c97bd9168c67c4e7d5e68b2d0deb">mPasses</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a0660deaa1aec81d2b440ab175d63514a">mSchemeIndex</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a619d28fcc7d7763a6858f2e1a9499454">mShadowCasterMaterial</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a7abd113d2ad69679463a9928b546d2ac">mShadowCasterMaterialName</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a4d1b3ffc258b9a2430326d0bb903dbb1">mShadowReceiverMaterial</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a6c4cb6c2977637223069c538986aa59e">mShadowReceiverMaterialName</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#aed349028e71fba8fc7c8a5ea71c1066e">mUserObjectBindings</a></td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ac251efbed20452a6efb1361ea5d27496">operator=</a>(const Technique &amp;rhs)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a2578716e1f4b4cf2a9d3102a48aaf235">Passes</a> typedef</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a3b4640d3383f331657fd9ee05cb835c2">PassIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a1eaae1583cf2e6e310ae911d34da00be">removeAllPasses</a>(void)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a593e0e3c8e9d7a43155be8c6fdbfa8f7">removeGPUDeviceNameRule</a>(const String &amp;devicePattern)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#aeaadeb93509d6fc3ca27686ca83e76be">removeGPUVendorRule</a>(GPUVendor vendor)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#af6cff3e7cbf0b677433ca0a0da04c6aa">removePass</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a28bab7548009bc18723bc0dc20a44f6a">setAmbient</a>(Real red, Real green, Real blue)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ac5d459624ede01672c78846825cc0f96">setAmbient</a>(const ColourValue &amp;ambient)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a155d2bb172e767eab0880667b8669057">setColourWriteEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ae3ab7639e71d6118834a9164a7c1c8f9">setCullingMode</a>(CullingMode mode)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a58b4e86384ca3e7a9f03c3fb2a5b3f0d">setDepthBias</a>(float constantBias, float slopeScaleBias)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a8ccefe2b6bb5b6e66e2dcb081f92847f">setDepthCheckEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a1f8f52bd7bc067a8f6dac99757063a06">setDepthFunction</a>(CompareFunction func)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a17ab42d4b777c0782a2d0170ae5a0970">setDepthWriteEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a177ced7bb28cba1562a6d036a1b692f9">setDiffuse</a>(Real red, Real green, Real blue, Real alpha)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#af5e13d58c70bbeeb1708e1479185a959">setDiffuse</a>(const ColourValue &amp;diffuse)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a42c07e62db4e2cbeb75f8253b30e5c3b">setFog</a>(bool overrideScene, FogMode mode=FOG_NONE, const ColourValue &amp;colour=ColourValue::White, Real expDensity=0.001, Real linearStart=0.0, Real linearEnd=1.0)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ab6f31b910ad3b0a22219210290622482">setLightingEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ab72db7823cc9a8e872aed1ca6ae2cff8">setLodIndex</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a9d9340f9b31f6189e28d62ab00937ab0">setManualCullingMode</a>(ManualCullingMode mode)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a365b0e6313b646d0ecc13c1c52a6d3ad">setName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a1b7d1d264b34c50b7606c646415a50e8">setPointSize</a>(Real ps)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a8d44a97049862fc9c5eb64caf5cbbc2f">setSceneBlending</a>(const SceneBlendType sbt)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a50815d7c51c153e2a6ab1b581507d28f">setSceneBlending</a>(const SceneBlendFactor sourceFactor, const SceneBlendFactor destFactor)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a43b6c4e9e48c4e56f96633b916ee90a3">setSchemeName</a>(const String &amp;schemeName)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#aa987bf7df6c05a27a25ee334527498a0">setSelfIllumination</a>(Real red, Real green, Real blue)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a9e5d7120bf501c5796bb461ec16ca22d">setSelfIllumination</a>(const ColourValue &amp;selfIllum)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#add4cd758dc843921da3a331bcc1bee1d">setSeparateSceneBlending</a>(const SceneBlendType sbt, const SceneBlendType sbta)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a5df9ffbf40cbce69799b3be95cf4b701">setSeparateSceneBlending</a>(const SceneBlendFactor sourceFactor, const SceneBlendFactor destFactor, const SceneBlendFactor sourceFactorAlpha, const SceneBlendFactor destFactorAlpha)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a4c3bb63365c701842d4539e32cc1480e">setShadingMode</a>(ShadeOptions mode)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#ac0e017f3810451861191fedfe1d51a30">setShadowCasterMaterial</a>(Ogre::MaterialPtr val)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a7913e8419619f0b074e67a638d54eb0f">setShadowCasterMaterial</a>(const Ogre::String &amp;name)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a14cb59e4b8d1073f5379378ccf43f103">setShadowReceiverMaterial</a>(Ogre::MaterialPtr val)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a03a7f4c6fa69c36b2b92a79917c34ace">setShadowReceiverMaterial</a>(const Ogre::String &amp;name)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#aed27a55db91366ee2f95a608f946bc86">setShininess</a>(Real val)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a7f58112618978a38cb9396936a54586a">setSpecular</a>(Real red, Real green, Real blue, Real alpha)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a0add9d092f47eb2b654d936a66902d00">setSpecular</a>(const ColourValue &amp;specular)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a60e62cb6b00f8ae9e9da077d0ecc08ec">setTextureAnisotropy</a>(unsigned int maxAniso)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a67d7464ef321b859c33c3c1e9334c5f2">setTextureFiltering</a>(TextureFilterOptions filterType)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a4bf5eef2cd88abdf3408234f2bb0899c">Technique</a>(Material *parent)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a0e0fe6b1b297d9c8e81287d7c7a7b377">Technique</a>(Material *parent, const Technique &amp;oth)</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Technique.html#a3942999affa2e3a81d122ac58f181f11">~Technique</a>()</td><td><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:09
</p>
</body>
</html>
